com.h3c.of.common

## Class OfmDecoder

- java.lang.Object
- - org.jboss.netty.channel.SimpleChannelUpstreamHandler
  - - org.jboss.netty.handler.codec.frame.FrameDecoder
    - - com.h3c.of.common.OfmDecoder

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelHandler, org.jboss.netty.channel.ChannelUpstreamHandler

      public class OfmDecoder
      extends org.jboss.netty.handler.codec.frame.FrameDecoder

  Part of a `ChannelPipeline` - decodes a byte stream as an `OpenflowMessage`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

      `org.jboss.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OfmDecoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `decode(org.jboss.netty.channel.ChannelHandlerContext ctx, org.jboss.netty.channel.Channel channel, org.jboss.netty.buffer.ChannelBuffer buffer)`

    - ### Methods inherited from class org.jboss.netty.handler.codec.frame.FrameDecoder

      `channelClosed, channelDisconnected, decodeLast, exceptionCaught, messageReceived`

    - ### Methods inherited from class org.jboss.netty.channel.SimpleChannelUpstreamHandler

      `channelBound, channelConnected, channelInterestChanged, channelOpen, channelUnbound, childChannelClosed, childChannelOpen, handleUpstream, writeComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OfmDecoder

          public OfmDecoder()

  - ### Method Detail

    - #### decode

          protected Object decode(org.jboss.netty.channel.ChannelHandlerContext ctx,
                      org.jboss.netty.channel.Channel channel,
                      org.jboss.netty.buffer.ChannelBuffer buffer)
                           throws Exception

      Specified by:
        `decode` in class `org.jboss.netty.handler.codec.frame.FrameDecoder`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.